Subject: Re: bug#7362: dd strangeness

From: Pádraig Brady <[email-masked]>
Date: Tue, 01 Mar 2011 12:01:55 +0000

On 01/03/11 11:27, Pádraig Brady wrote:
> On 01/03/11 09:50, Paul Eggert wrote:
>>  * Since POSIX doesn't specify the direct or cio flags, we're free
>>    to have them silently enable iflag=fullblock.  But it doesn't sound
>>    right to do that.  Instead, we should set conversions_mask |= C_TWOBUFS,
>>    because the input and output blocksizes might differ.
>>
>>  * If we suggest ibs=whatever rather than iflag=fullblock, our
>>    suggestions will be portable to other POSIX implementations, which
>>    is a plus.
> 
> So the standard way to accumulate short reads to a full write,
> is to specify separate ibs and obs (we'd probably want to prompt about
> setting obs too for efficiency). However I think that would mess up
> with a specific count (1 for each partial read) or with conv=sync,noerror

Oh right, you're warning for short reads with a specific count
and discounting the conv=sync,noerror case.